# Class: IwcConnector

Defined in: | lib/Connectors/IwcConnector.coffee

## Overview

The Iwc Connector adds support for the Inter-Widget-Communication protocol that is used in the Role-SDK.

### See also:

- http://dbis.rwth-aachen.de/cms/projects/the-xmpp-experience#interwidget-communication
- http://dbis.rwth-aachen.de/cms/projects/ROLE

## Instance Method Summary

- # (void) send(o) This function is called whenever an operation was executed.
- # (void) receive(o) This function is called whenever an operation was received from another peer.
- # (void) sendIwcIntent(action_name, content) Helper for sending iwc intents.

## Constructor Details

# (void) constructor(engine, HB, execution_listener, yatta)

### Parameters:

- engine ( `Engine` ) — The transformation engine
- HB ( `HistoryBuffer` )
- execution_listener ( `Array<Function>` ) — You must ensure that whenever an operation is executed, every function in this Array is called.
- yatta ( `Yatta` ) — The Yatta framework.

## Instance Method Details

# (void) send(o)

This function is called whenever an operation was executed.

### Parameters:

- o ( `Operation` ) — The operation that was executed.

# (void) receive(o)

This function is called whenever an operation was received from another peer.

### Parameters:

- o ( `Operation` ) — The operation that was received.

# (void) sendIwcIntent(action_name, content)

Helper for sending iwc intents.

### Parameters:

- action_name ( `String` ) — The name of the action that is going to be send.
- content ( `String` ) — The content that is atteched to the intent.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input